Skip Navigation

[Résolu] Convert a multiple lines custom field to WYSIWYG

This support ticket is created Il y a 1 an et 8 mois. There's a good chance that you are reading advice that it now obsolete.

This is the technical support forum for Toolset - a suite of plugins for developing WordPress sites without writing PHP.

Everyone can read this forum, but only Toolset clients can post in it. Toolset support works 6 days per week, 19 hours per day.

Marqué : 

This topic contains 6 réponses, has 2 voix.

Last updated by Robert Campbell Il y a 1 an et 8 mois.

Assigned support staff: Raja Mohammed.

Auteur
Publications
#1832341

I have a front end user form which contains a 'multiple lines' custom field.
I need to convert this field to allow text formatting (bold and underline). The only option I can see is to convert this field to 'WYSIWYG'.

So here is my problem:-
Toolset will not allow my to do this field type conversion within Edit Post Field Group.

It is not practical to recreate all of the custom field content, so can you suggest the best way to solve my problem?

Regards
Robert

#1833161

Raja Mohammed
Supporter

Languages: Anglais (English )

Timezone: Asia/Kolkata (GMT+05:30)

Hello Robert,

There is a limitation that you can not convert the Multi line Field to WYSIWYG type

However, I see a workaround that seems to help,
1) Open the Field group where the Multi line field is added ,
2) Remove the Multi line field (eg: book-summary)
3) Add a WYSIWYG editor field with the same field name (book-summary) as used in point 2
4) save the field group.

This retains the contents that are already inserted using the Multi line editor.

I hope that helps better

Kind regards
Raja

#1833311

Hello Raja

Thank you for the good idea.
So now I have the WYSIWYG fields created with the original content.

I have a problem in that one of the WYSIWYG fields must be a required field.
This does not seem to be possible within Toolset?
Is it possible you could help with a function I can add in the function.php?

Regards
Robert

#1833981

Raja Mohammed
Supporter

Languages: Anglais (English )

Timezone: Asia/Kolkata (GMT+05:30)

Hello Robert,

I am checking this with the team the required option is not available yet for WYSIWYG editor may be its something that needs to be escalated to our developers.

In the mean time can you please try workaround solution provided by one of our client https://toolset.com/forums/topic/add-ability-to-set-wysiwyg-field-to-required/#post-497948

Regards
Raja

#1834155

Hello Raja
Thanks for the update and suggested workaround.
If you could let me know what the team say about the likelihood of this feature being added to the next release? If not I'll use the workaround.
Regards
Robert

#1834167

Raja Mohammed
Supporter

Languages: Anglais (English )

Timezone: Asia/Kolkata (GMT+05:30)

Hello Robert,

There is already an existing request for the same type, I have added your ticket to the developers.
However, I could not give any estimate on how soon this will be available.

I kindly request you to make use of the workaround instead of waiting for the feature to be added.

Kind regards
Raja

#1834241

Hello Raja
Okay will do. Thanks for help with this issue.
Regards
Robert